summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/distcc/files/distcc
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/distcc/files/distcc')
-rwxr-xr-xmeta/recipes-devtools/distcc/files/distcc119
1 files changed, 119 insertions, 0 deletions
diff --git a/meta/recipes-devtools/distcc/files/distcc b/meta/recipes-devtools/distcc/files/distcc
new file mode 100755
index 0000000000..e36f0fa695
--- /dev/null
+++ b/meta/recipes-devtools/distcc/files/distcc
@@ -0,0 +1,119 @@
1#!/bin/sh
2### BEGIN INIT INFO
3# Provides: distcc
4# Required-Start: $remote_fs $syslog
5# Required-Stop: $remote_fs $syslog
6# Default-Start: 2 3 4 5
7# Default-Stop: 1
8# Short-Description: simple distributed compiler client and server
9### END INIT INFO
10#
11# distccd Debian init.d script contributed by Jason Thomas. (Debian #161136)
12#
13# skeleton example file to build /etc/init.d/ scripts.
14# This file should be used to construct scripts for /etc/init.d.
15#
16# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
17# Modified for Debian GNU/Linux
18# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
19#
20# Version: @(#)skeleton 1.9.1 08-Apr-2002 miquels@cistron.nl
21#
22
23PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
24DAEMON=/usr/bin/distccd
25NAME=distcc
26DESC="Distributed Compiler Daemon"
27DAEMON_ARGS="--pid-file=/var/run/$NAME.pid --daemon"
28# please change those variables by overriding them in /etc/defaults/distcc
29ALLOWEDNETS="127.0.0.1"
30
31# Reads config file (will override defaults above)
32[ -r /etc/default/distcc ] && . /etc/default/distcc
33
34test -x $DAEMON || exit 0
35
36set -e
37
38# Source function library.
39. /etc/init.d/functions
40
41# construct access list
42ALLOW=""
43for net in $ALLOWEDNETS
44do
45 ALLOW="$ALLOW --allow $net"
46done
47
48should_start() {
49 if [ "$STARTDISTCC" != "true" ] && [ "$STARTDISTCC" != "YES" ]; then
50 echo "STARTDISTCC is set to false in /etc/default/distcc"
51 echo "$DAEMON not starting"
52 exit 0
53 fi
54 # we need permission to write to the pid file
55 touch /var/run/$NAME.pid
56 chown distcc /var/run/$NAME.pid
57}
58
59case "$1" in
60 start)
61 should_start
62 echo -n "Starting $DESC: $NAME"
63 start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
64 --exec $DAEMON -- $DAEMON_ARGS $ALLOW ||
65 {
66 code=$?
67 echo "$0: start failed with error code $code" >&2
68 exit $code
69 }
70 echo "."
71 ;;
72 stop)
73 echo -n "Stopping $DESC: $NAME"
74 start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
75 --exec $DAEMON ||
76 {
77 code=$?
78 echo "$0: stop failed with error code $code" >&2
79 exit $code
80 }
81 rm -f /var/run/$NAME.pid >/dev/null 2>&1
82 echo "."
83 ;;
84 restart|force-reload)
85 #
86 # If the "reload" option is implemented, move the "force-reload"
87 # option to the "reload" entry above. If not, "force-reload" is
88 # just the same as "restart".
89 #
90 echo -n "Restarting $DESC: $NAME"
91 start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
92 --exec $DAEMON
93 sleep 1
94 should_start
95 start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
96 --exec $DAEMON -- $DAEMON_ARGS $ALLOW ||
97 {
98 code=$?
99 rm -f /var/run/$NAME.pid >/dev/null 2>&1
100 echo "$0: restart failed with error code $code" >&2
101 exit $code
102 }
103 echo "."
104 ;;
105
106 status)
107 status $DAEMON
108 exit $?
109 ;;
110 *)
111 N=/etc/init.d/$NAME
112 echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
113 exit 1
114 ;;
115esac
116
117exit 0
118
119